Page MenuHomePhabricator

"Opinions" tab on the English Wikinews currently uses a JavaScript implementation when it shouldn't
Closed, ResolvedPublic

Description

Forking (cloning) this bug from bug 11586, as bug 11586 was marked as invalid.

The underlying issue here is that on sites such as https://en.wikinews.org/ there is an "Opinions" tab on individual news articles that leads to a Comments namespace page for each article. For example, https://en.wikinews.org/wiki/Israel_launches_airstrikes_against_Gaza_Strip,_kills_Hamas_commander has an "Opinions" tab at the top of the page that leads to https://en.wikinews.org/wiki/Comments:Israel_launches_airstrikes_against_Gaza_Strip%2C_kills_Hamas_commander.

This tab is currently implemented using JavaScript when it should be available in the native HTML output of the page. JavaScript should not be necessary to add this tab to the interface.

I'm marking this bug as "easy" as it really shouldn't be more than an hour's worth of work to get this extension fixed up and ready for review and deployment. If anyone is looking to get his or her name on "Special:Version", this is your chance!

Source code is here: https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/CommentPages.git;a=summary.


Version: unspecified
Severity: enhancement

Details

Reference
bz42214

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:12 AM
bzimport set Reference to bz42214.
bzimport added a subscriber: Unknown Object (MLST).

I'm marking this bug as "easy" as it really shouldn't be more than an hour's
worth of work to get this extension fixed up and ready for review and
deployment. If anyone is looking to get his or her name on "Special:Version",
this is your chance!
Source code is here:
https://gerrit.wikimedia.org/r/gitweb?p=mediawiki/extensions/CommentPages.git;a=summary.

The skinning system has changed significantly since then. The work required may be a "rewrite" of the extension, not a minor bug fix. Nonetheless not a huge amount of work and I agree with your assessment that this is an "easy" bug.

A main benefit to an extension (over current situation) would probably be not having an extra ajax request to determine if the tab should be red or not on almost every page view.

(In reply to comment #1)

The skinning system has changed significantly since then. The work required may
be a "rewrite" of the extension, not a minor bug fix. Nonetheless not a huge
amount of work and I agree with your assessment that this is an "easy" bug.

Yes. And perhaps a more abstract approach would make sense here. Extension:AddTab or something? An entire extension for a single tab (use-case) like this feels a bit yucky.

A main benefit to an extension (over current situation) would probably be not
having an extra ajax request to determine if the tab should be red or not on
almost every page view.

Good point. The current JavaScript implementation of this feature is here: https://en.wikinews.org/wiki/MediaWiki:Comments.js.

Yes definitely. Additionally an extension would be much easier to deploy to other languages. It is a mess whenever some other lang wikinews wants the other tab.

A previous bug with an old patch is bug 13228 (with http://www.mediawiki.org/wiki/User:Svippong/AdditionalTabs - it uses a core solution with a general approach).

Maybe that or this bug should be marked as a duplicate of the other one?

Yes, I figured this was a duplicate. I couldn't find it. Thank you. Okay, here we go...

  • This bug has been marked as a duplicate of bug 13228 ***
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 6:10 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 26 2017, 9:40 AM